import { MendableSearchStyle } from "../types";
export declare function BotIcon({ isGenerating }: {
    isGenerating: boolean;
}): import("react/jsx-runtime").JSX.Element;
export default function AnimatedIcon({ icon, messageStyle, isGenerating, isFancy, isCustomIcon, }: {
    icon: any;
    messageStyle: MendableSearchStyle;
    isGenerating: boolean;
    isFancy: boolean;
    isCustomIcon?: boolean;
}): import("react/jsx-runtime").JSX.Element;
